package kr.co.vividnext.sodalive.content.theme

import kr.co.vividnext.sodalive.common.BaseEntity
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.Table

@Entity
@Table(name = "content_theme")
data class AudioContentTheme(
    @Column(nullable = false)
    var theme: String,
    @Column(nullable = false)
    var image: String,
    @Column(nullable = false)
    var isActive: Boolean = true,
    @Column(nullable = false)
    var orders: Int = 1
) : BaseEntity()
