package kr.co.vividnext.sodalive.configs

import org.springframework.context.annotation.Configuration
import org.springframework.web.servlet.config.annotation.CorsRegistry
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer

@Configuration
class WebConfig : WebMvcConfigurer {
    override fun addCorsMappings(registry: CorsRegistry) {
        registry.addMapping("/**")
            .allowedOrigins(
                "http://localhost:8888",
                "https://creator.sodalive.net",
                "https://test-creator.sodalive.net",
                "https://test-admin.sodalive.net",
                "https://admin.sodalive.net"
            )
            .allowedMethods("*")
            .allowCredentials(true)
    }
}
