package kr.co.vividnext.sodalive.content.main.tab

import kr.co.vividnext.sodalive.common.BaseEntity
import kr.co.vividnext.sodalive.creator.admin.content.series.Series
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.FetchType
import javax.persistence.JoinColumn
import javax.persistence.ManyToOne

@Entity
data class RecommendSeries(
    @Column(nullable = false)
    var imagePath: String = "",

    @Column(nullable = false)
    var orders: Int = 1,

    @Column(nullable = false)
    var isFree: Boolean = false,

    @Column(nullable = false)
    var isActive: Boolean = true
) : BaseEntity() {
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "series_id", nullable = false)
    var series: Series? = null
}
