package kr.co.vividnext.sodalive.content.main.tab.free

import kr.co.vividnext.sodalive.content.main.ContentCreatorResponse
import kr.co.vividnext.sodalive.content.main.GetAudioContentMainItem
import kr.co.vividnext.sodalive.content.main.GetAudioContentRankingItem
import kr.co.vividnext.sodalive.content.main.banner.GetAudioContentBannerResponse
import kr.co.vividnext.sodalive.content.main.tab.GetContentCurationResponse
import kr.co.vividnext.sodalive.content.main.tab.GetRecommendSeriesListResponse

data class GetContentMainTabFreeResponse(
    val tabId: Long = 7,
    val contentBannerList: List<GetAudioContentBannerResponse>,
    val introduceCreator: GetContentCurationResponse?,
    val recommendSeriesList: List<GetRecommendSeriesListResponse>,
    val themeList: List<String>,
    val newFreeContentList: List<GetAudioContentMainItem>,
    val creatorList: List<ContentCreatorResponse>,
    val playCountRankContentList: List<GetAudioContentRankingItem>,
    val curationList: List<GetContentCurationResponse>
)
