package kr.co.vividnext.sodalive.explorer

import kr.co.vividnext.sodalive.content.GetAudioContentListItem
import kr.co.vividnext.sodalive.content.series.GetSeriesListResponse
import kr.co.vividnext.sodalive.explorer.profile.creatorCommunity.GetCommunityPostListResponse

data class GetCreatorProfileResponse(
    val creator: CreatorResponse,
    val userDonationRanking: List<MemberDonationRankingResponse>,
    val similarCreatorList: List<SimilarCreatorResponse>,
    val liveRoomList: List<LiveRoomResponse>,
    val contentList: List<GetAudioContentListItem>,
    val notice: String,
    val communityPostList: List<GetCommunityPostListResponse>,
    val cheers: GetCheersResponse,
    val activitySummary: GetCreatorActivitySummary,
    val seriesList: List<GetSeriesListResponse.SeriesListItem>,
    val isBlock: Boolean,
    val isCreatorRole: Boolean
)

data class GetCreatorActivitySummary(
    val liveCount: Long,
    val liveTime: Long,
    val liveContributorCount: Long,
    val contentCount: Long
)
