package kr.co.vividnext.sodalive.live.room

data class GetRoomListResponse(
    val roomId: Long,
    val title: String,
    val content: String,
    val beginDateTime: String,
    val numberOfParticipate: Int,
    val numberOfPeople: Int,
    val coverImageUrl: String,
    val isAdult: Boolean,
    val price: Int,
    val tags: List<String>,
    val channelName: String?,
    val creatorProfileImage: String,
    val creatorNickname: String,
    val creatorId: Long,
    val isReservation: Boolean,
    val isPrivateRoom: Boolean
)
