package kr.co.vividnext.sodalive.live.room.menu

import org.springframework.data.redis.core.RedisHash
import org.springframework.data.redis.core.index.Indexed
import javax.persistence.Id

@RedisHash("LiveRoomMenu")
data class LiveRoomMenu(
    @Id
    val id: Long,
    @Indexed
    val creatorId: Long,
    var isActive: Boolean,
    var menu: String
)
