package kr.co.vividnext.sodalive.member.stipulation

data class StipulationDto(
    val id: Long = 0,
    val title: String,
    val description: String
) {
    constructor(stipulation: Stipulation) : this(stipulation.id!!, stipulation.title, stipulation.description)

    fun toEntity() = Stipulation(title, description)
}
