package kr.co.vividnext.sodalive.point

import kr.co.vividnext.sodalive.common.BaseEntity
import kr.co.vividnext.sodalive.useraction.ActionType
import kr.co.vividnext.sodalive.useraction.PolicyType
import java.time.LocalDateTime
import javax.persistence.Entity
import javax.persistence.EnumType
import javax.persistence.Enumerated

@Entity
data class PointRewardPolicy(
    var title: String,
    @Enumerated(EnumType.STRING)
    val policyType: PolicyType,
    @Enumerated(EnumType.STRING)
    val actionType: ActionType,
    val threshold: Int,
    val availableCount: Int,
    val pointAmount: Int,
    var startDate: LocalDateTime,
    var endDate: LocalDateTime? = null,
    var isActive: Boolean = true
) : BaseEntity()
